HomePhabricator

[bugfix] Make Travis update pytest

Authored by Dvorapa on Jun 19 2020, 4:15 PM.

Description

[bugfix] Make Travis update pytest

Travis has got pytest pre-installed. It has a valid version per our
dev-requirements.txt, so pip doesn't update it. But pytest-cov requires
pytest >= 4.6, which produces version conflict.

Either we can force Travis to update pytest, or we can force Travis
to reinstall it.

Bug: T255349
Change-Id: Ic3127b68d03ca563a674dae8b0d8828926ae24e4

Details

Committed
DvorapaJun 19 2020, 4:44 PM
Parents
rPWBCb09251b4f0a4: [bugfix] Fix Python 2 pytest-cov requirement
Branches
Unknown
Tags
Unknown
ChangeId
Ic3127b68d03ca563a674dae8b0d8828926ae24e4